#ifndef MD5_H
#define MD5_H

#include <exec/types.h>

/* Data structure for MD5 (Message-Digest) computation */
typedef struct
{
	UQUAD length;         /* number of bits handled */
	ULONG state[4];       /* state buffer */
	ULONG curlen;         /* current input buffer length */
	UBYTE buf[64];        /* input buffer */
} MD5_CTX;

void MD5Init(MD5_CTX *md);
void MD5Update(MD5_CTX *md, CONST_STRPTR in, ULONG inlen);
void MD5Final(MD5_CTX *md, UBYTE out[16]);

#endif /* MD5_H */
